Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415963 - [GSS](6.4.z) Authentication via remoting fail for larger requests i.e. long password
Summary: [GSS](6.4.z) Authentication via remoting fail for larger requests i.e. long p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting
Version: 6.4.5,6.4.6,6.4.7,6.4.8,6.4.9,6.4.10,6.4.11,6.4.12
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: CR1
: EAP 6.4.17
Assignee: Radovan Netuka
QA Contact: Jiří Bílek
URL:
Whiteboard:
Depends On:
Blocks: 1449266 eap6417-payload 1530459
TreeView+ depends on / blocked
 
Reported: 2017-01-24 09:27 UTC by wfink
Modified: 2020-12-14 08:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 13:32:48 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-10156 0 Major Verified [GSS](7.0.z) Authentication via remoting fail for larger requests i.e. long password 2020-08-11 14:58:05 UTC
Red Hat Issue Tracker JBEAP-8476 0 Major Closed [GSS](7.1.0) Authentication via remoting fail for larger requests i.e. long password 2020-08-11 14:58:05 UTC
Red Hat Issue Tracker JBREM-1335 0 Major Resolved Authentication via remoting fail for larger requests i.e. long password 2020-08-11 14:58:05 UTC
Red Hat Knowledge Base (Solution) 2887251 0 None None None 2017-01-24 10:53:49 UTC

Description wfink 2017-01-24 09:27:29 UTC
Description of problem:
If the client use authentication and the passwords is really long, the SASL request or kerberos ticket is huge the attempt will fail.
In the same environment authentication for other users work correct.

The shown message within the server log is
TRACE [org.jboss.remoting.remote.connection handleEvent] (Remoting "gravity" read-1) Connection error detail: java.io.IOException: Received an invalid message length of 11857
        at org.xnio.channels.FramedMessageChannel.receive(FramedMessageChannel.java:106) [xnio-api-3.0.15.GA-redhat-1.jar:3.0.15.GA-redhat-1]
        at org.jboss.remoting3.remote.ServerConnectionOpenListener$Initial.handleEvent(ServerConnectionOpenListener.java:229) [jboss-remoting-3.3.6.Final-redhat-1.jar:3.3.6.Final-redhat-1]



Actual results:
User with such large login parameters are not working

Additional info:
Set larger buffer size with
   org.jboss.remoting3.RemotingOptions.RECEIVE_BUFFER_SIZE
   org.jboss.remoting3.RemotingOptions.SEND_BUFFER_SIZE
will not help

Comment 9 Jiří Bílek 2017-08-04 15:32:34 UTC
Verified with EAP 6.4.17.CP.CR3

Comment 10 Petr Penicka 2017-09-06 13:32:48 UTC
Released on 2017-09-05 as part of the EAP 6.4.17 release.


Note You need to log in before you can comment on or make changes to this bug.